Update a project
PUT
/projects/{project_id}Base URL
https://arcus.testsigma.com/api/v1Updates the name and description of an existing project.
Authenticate with your API key as a
Bearer token in the Authorization header. How to authenticate →Path parameters
project_id | Unique identifier of the project to update. |
Request body
name | New name of the project. |
description | Updated description of the project. |
Response attributes
message | Status message for the request; may be empty. |
data.project.id | Unique identifier of the project. |
data.project.created_at | Unix timestamp of when the project was created. |
data.project.updated_at | Unix timestamp of the last update to the project. |
data.project.name | Updated name of the project. |
data.project.description | Updated description of the project. |
data.project.human_id_prefix | Prefix used for the project's human-readable identifier. |
Request
curl -X PUT \
'https://arcus.testsigma.com/api/v1/projects/{project_id}' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"name": "Health Care Project (Q2)",
"description": "Regression suite for the patient portal, second quarter"
}'const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}', {
method: 'PUT',
headers: {
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"name": "Health Care Project (Q2)",
"description": "Regression suite for the patient portal, second quarter"
})
});
const data = await response.json();import requests
response = requests.put(
'https://arcus.testsigma.com/api/v1/projects/{project_id}',
headers={
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
},
json={
"name": "Health Care Project (Q2)",
"description": "Regression suite for the patient portal, second quarter"
}
)
data = response.json()Response200 OK
{
"message": "",
"data": {
"project": {
"id": "18c50239-946d-428e-aa0c-260329f5c151",
"created_at": 1709452800,
"updated_at": 1714521600,
"name": "Health Care Project (Q2)",
"description": "Regression suite for the patient portal, second quarter",
"human_id_prefix": "HCP"
}
}
}Was this page helpful?
Thanks for the feedback.